<?php
$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_605dec66bbd4" . "3fd43b6b2abff" . "58a62ef" => base64_decode("bmF0a" . "XZl"), "_a62d761f3e831ff9d9" . "da39f9c26ecddc" => base64_decode("Li4vY29tbW9uL2N" . "vcmUucGhw"), "_e20b559a1b4144" . "95c43a4fbbf2e50" . "15e" => base64_decode("aHR0cF" . "9zZW5k" . "X2ZpbG" . "U="), "_11ff9bccdcd23cd6" . "bf9d92884ea6cc39" => base64_decode("Li4vY29tbW9uL2Nvbm5lY3Q" . "ucGhw"), "_3ce655ae4a14421967cc023" . "a6e907ed5" => base64_decode("aXNfZmlsZQ=" . "="), "_20a7dc9160360d28b227a735cd62" . "a71d" => base64_decode("Li4vY29tbW9uL250bG1fc2Vzc2lvb" . "nN0YXJ0LnBocA=="), "act" . "ion" => base64_decode("YWN" . "0aW" . "9u"), "_af66268e41" . "c5634df3c88" . "007939cbf33" => base64_decode("ZG93bmxv" . "YWQ="), "_f705bcbe9557715c78f1" . "1a9a576dfda3" => base64_decode("aW1hZ2VzL3BsYWNlaG9sZGVyL3BsYWNlaG9" . "sZGVyLnBuZw=="), "_5717b327f1f9b8b82a4c07e8006c" . "2719" => base64_decode("cG5" . "n"), "_4d707fab93bebb00" . "bbe69e8159697c90" => base64_decode(""), "_3d0fad80d1698b9bcb5742bda96db9f" . "8" => base64_decode("Tm8gcmlna" . "HRz"), "_23e3a19ac3ae2" . "de10c19a9b0017" . "556f0" => base64_decode("SW1hZ2UgZmlsZSBkb2Vzb" . "id0IGV4aXN0"), "_c330b85d625b10fb446f351cc78b" . "4d05" => base64_decode("c3RyaXBVbmFsbG93ZWRXaW4zMkN" . "oYXJhY3RlcnM="), "_4be135064c4d55c13e6af60c45" . "cb1fda" => base64_decode("Z2FsbGVy" . "eS5wZXJt" . "aXNzaW9u" . "cw=="), "_3be5fb553186" . "14a35b1111966" . "2d2e169" => base64_decode("cGxhY2Vob" . "2xkZXI="), "pre" . "fix" => base64_decode("cHJlZml" . "4"), "_f920f0bf40dcf69c4daab1426e0" . "564d6" => base64_decode("V3Jvbmcg" . "cGFyYW1l" . "dGVycw=="), "_2713fc125" . "a2798f62a7" . "1e9066f396" . "da7" => base64_decode("Li4vY29tbW9u" . "L2ZpbGVzeXN0" . "ZW0ucGhw"), "_2e062cfc10183d31" . "f0f0848e59bfd2b3" => base64_decode("Z2V0X2ZpbGVfZXh0Z" . "W5zaW9u"), "i" . "d" => base64_decode("a" . "W" . "Q" . "="));










use Claromentis\Gallery\GalleryPermissions;
global $prefix, $action, $default_prefix;
$NO_LOCALIZATION = true;
require_once $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_20a7dc9160360d" . "28b227a735cd62a" . "71d"];
require_once $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_a62d761f3e831ff9d9da39f9c2" . "6ecddc"];
require_once $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_11ff9bccdcd23cd6bf9d92" . "884ea6cc39"];
AuthUser::I()->SetMode(AuthUser::MODE_POPUP)->Init();
\Claromentis\Core\Services::I()->session->save();


require_once $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_2713fc125a2798f62a71e906" . "6f396da7"];
$id = gpc::GetIntOrNull($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["i" . "d"]);
if (!isset($prefix)) {
    $prefix = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["pref" . "ix"]);
}
if (!isset($action)) {
    $action = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["ac" . "ti" . "on"]);
}
if (!$id || gpc::IsError()) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_f920f0bf40dcf69c4daab1" . "426e0564d6"]);
}
if ($prefix != $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_605dec66bbd43fd43b" . "6b2abff58a62ef"]) {
    $thumbnail = new ImageFiles();
    $thumbnail->Load(0, $id, $prefix);
    if (isset($default_prefix) && $thumbnail->GetPrefix() != $prefix) {
        $prefix = $default_prefix;
    }
}
$placeholder_path = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_f705bcbe9557715c78f11a9a576dfda" . "3"];
$placeholder_title = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_3be5fb55318614a35b11119662d2e" . "169"];
$placeholder_type = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_5717b327f1f9b8" . "b82a4c07e8006c2" . "719"];
if ($prefix == $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_605dec6" . "6bbd43fd" . "43b6b2ab" . "ff58a62e" . "f"]) {
    $image_obj = new Image($id);
    $imagefile = $image_obj->GetImageFilePath();
    $file_title = $image_obj->GetTitle();
    $file_type = $image_obj->GetFileType();
    if (!$image_obj->ImageFileExists()) {
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    }
    $album_id = $image_obj->GetAlbumId();
} else {
    
    
    $imagefile = $thumbnail->GetImageFilePath();
    $file_title = $thumbnail->parent_image->GetTitle();
    $file_type = $thumbnail->parent_image->GetFileType();
    if (!$thumbnail->parent_image->ImageFileExists()) {
        
        
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    } else {
        if (!$imagefile) {
            
            
            
            $imagefile = $placeholder_path;
        }
    }
    $album_id = $thumbnail->parent_image->GetAlbumId();
}
$gallery_perms = $g_application[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_4be135064c4d5" . "5c13e6af60c45c" . "b1fda"]];


if (!$gallery_perms->CanIViewAlbum($album_id)) {
    die($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_3d0fad80d1698b9bc" . "b5742bda96db9f8"]);
}
if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_3ce655ae4a14421967cc023a6e907ed" . "5"]($imagefile)) {
    die($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_23e3a19ac3ae2de10c19a9b001" . "7556f0"]);
}
$file_extension = !$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_2e062cfc" . "10183d31f" . "0f0848e59" . "bfd2b3"]($file_title, true) ? Image::ImageTypeToExtension($file_type, true) : $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_4d707fab93bebb00bbe69e815" . "9697c90"];
$full_name = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_c330b85d6" . "25b10fb446" . "f351cc78b4" . "d05"]($file_title . $file_extension);
$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_e20b559a1b4" . "14495c43a4fb" . "bf2e5015e"]($full_name, $imagefile, $action == $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_af66268e41c56" . "34df3c88007939" . "cbf33"] ? DOWNLOAD : INLINE);